const colors = require("tailwindcss/colors");
const {
  toRGB,
  withOpacityValue,
} = require("@left4code/tw-starter/dist/js/tailwind-config-helper");

module.exports = {
  mode: "jit",
  content: [
    "./src/**/*.{php,html,js,jsx,ts,tsx,vue}",
    "./resources/**/*.{php,html,js,jsx,ts,tsx,vue}",
    "./node_modules/@left4code/tw-starter/**/*.js",
  ],
  darkMode: "class",
  theme: {
    extend: {
      colors: {
        theme: {
          1: "#071A50",
          2: "#2D427B",
          3: "#A2AFD5",
          4: "#C6D4FD",
          5: "#D32929",
          6: "#365A74",
          7: "#D2DFEA",
          8: "#7F9EB8",
          9: "#96A5D0",
          10: "#13B176",
          11: "#11296d",
          12: "#1f377d",
          13: "#9BADE4",
          14: "#1c3271",
          15: "#F1F5F8",
          16: "#102867",
          17: "#142E71",
          18: "#172F71",
          19: "#B2BEDE",
          20: "#102765",
          21: "#3160D8",
          22: "#F78B00",
          23: "#FBC500",
          24: "#CE3131",
          25: "#E2EBF2",
          26: "#203f90",
          27: "#8DA9BE",
          28: "#607F96",
          29: "#B8F1E1",
          30: "#FFE7D9",
          31: "#DBDFF9",
          32: "#2B4286",
          33: "#8C9DCA",
          34: "#0E2561",
          35: "#E63B1F",
          // blue
          36: "#DBEAFE",
          37: "#93C5FD",
          38: "#3B82F6",
          // purpule
          39: "#DDD6FE",
          40: "#A78BFA",
          41: "#7C3AED",
          // green
          42: "#D1FAE5",
          43: "#34D399",
          44: "#059669",
          // red
          45: "#FECACA",
          46: "#F87171",
          47: "#DC2626",
          // grey
        },
        rgb: toRGB(colors),
        primary: withOpacityValue("--color-primary"),
        secondary: withOpacityValue("--color-secondary"),
        success: withOpacityValue("--color-success"),
        info: withOpacityValue("--color-info"),
        warning: withOpacityValue("--color-warning"),
        pending: withOpacityValue("--color-pending"),
        danger: withOpacityValue("--color-danger"),
        light: withOpacityValue("--color-light"),
        dark: withOpacityValue("--color-dark"),
        slate: {
          50: withOpacityValue("--color-slate-50"),
          100: withOpacityValue("--color-slate-100"),
          200: withOpacityValue("--color-slate-200"),
          300: withOpacityValue("--color-slate-300"),
          400: withOpacityValue("--color-slate-400"),
          500: withOpacityValue("--color-slate-500"),
          600: withOpacityValue("--color-slate-600"),
          700: withOpacityValue("--color-slate-700"),
          800: withOpacityValue("--color-slate-800"),
          900: withOpacityValue("--color-slate-900"),
        },
        darkmode: {
          50: withOpacityValue("--color-darkmode-50"),
          100: withOpacityValue("--color-darkmode-100"),
          200: withOpacityValue("--color-darkmode-200"),
          300: withOpacityValue("--color-darkmode-300"),
          400: withOpacityValue("--color-darkmode-400"),
          500: withOpacityValue("--color-darkmode-500"),
          600: withOpacityValue("--color-darkmode-600"),
          700: withOpacityValue("--color-darkmode-700"),
          800: withOpacityValue("--color-darkmode-800"),
          900: withOpacityValue("--color-darkmode-900"),
        },
      },
      fontFamily: {
        roboto: ["Roboto"],
      },
      container: {
        center: true,
      },
      maxWidth: {
        "1/4": "25%",
        "1/2": "50%",
        "3/4": "75%",
        "3/5": "85%",
      },
      strokeWidth: {
        0.5: 0.5,
        1.5: 1.5,
        2.5: 2.5,
      },
    },
  },
  plugins: [require("@tailwindcss/forms")],
  variants: {
    extend: {
      boxShadow: ["dark"],
    },
  },
};
